/* This is an autogenerated file from sap_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __DBG_SAP_H__
#define __DBG_SAP_H__

/* ------------------------------------------ */
extern void unifi_dbg_set_all_levels_req(FsmContext* context, uint16 level);

extern void unifi_dbg_set_level_req(FsmContext* context, uint16 id, uint16 level);

extern void unifi_dbg_get_level_req(FsmContext* context, uint16 id);

extern void unifi_dbg_exit_req(FsmContext* context);

extern void unifi_dbg_cmd_req(FsmContext* context, unifi_String command);

/* ------------------------------------------ */
extern void unifi_dbg_get_level_cfm(void* context, uint16 id, uint16 level);


#endif /* __DBG_SAP_H__ */

#ifdef __cplusplus
}
#endif
